Package com.creditcall.chipdnamobile

# Enum Class DeviceStatus.DeviceStatusEnum

java.lang.Object
java.lang.Enum<DeviceStatus.DeviceStatusEnum>
com.creditcall.chipdnamobile.DeviceStatus.DeviceStatusEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<DeviceStatus.DeviceStatusEnum>`, `Constable`

Enclosing class:
  DeviceStatus

public static enum DeviceStatus.DeviceStatusEnum extends Enum<DeviceStatus.DeviceStatusEnum>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DeviceStatusConnected`
  The device is currently connected and has been sucessfully configured.
  `DeviceStatusConnectedUnconfigured`
  The device is currently connected, however has not been configured.
  `DeviceStatusDisconnected`
  The device is currently disconnected.
  `DeviceStatusUnknown`
  The device connection is currently unknown.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static DeviceStatus.DeviceStatusEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DeviceStatus.DeviceStatusEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DeviceStatusUnknown

    public static final DeviceStatus.DeviceStatusEnum DeviceStatusUnknown
    The device connection is currently unknown.

  - ### DeviceStatusDisconnected

    public static final DeviceStatus.DeviceStatusEnum DeviceStatusDisconnected
    The device is currently disconnected.

  - ### DeviceStatusConnected

    public static final DeviceStatus.DeviceStatusEnum DeviceStatusConnected
    The device is currently connected and has been sucessfully configured.

  - ### DeviceStatusConnectedUnconfigured

    public static final DeviceStatus.DeviceStatusEnum DeviceStatusConnectedUnconfigured
    The device is currently connected, however has not been configured.

- ## Method Details

  - ### values

    public static DeviceStatus.DeviceStatusEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DeviceStatus.DeviceStatusEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null